### Method

# Vips Image uhdrsave_target

#### Declaration [src]

    int
    vips_uhdrsave_target (
      VipsImage* in,
      VipsTarget* target,
      ...
    )

#### Description [src]

As `vips_uhdrsave()`, but save to a target.

Optional arguments

- `Q`: `gint`, quality factor
- `gainmap_scale_factor`: `gint`, scale factor of base image to gainmap

See also

`vips_uhdrsave()`, `vips_image_write_to_target()`.

This method is not directly available to language bindings.

#### Parameters

`target`

  Type: `VipsTarget`

  Save image to this target.

  The data is owned by the caller of the method.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.